# Trulioo::Location

## Properties

| Name | Type | Description | Notes |
| ---- | ---- | ----------- | ----- |
| **building_number** | **String** | House / Civic / Building number of home address | [optional] |
| **building_name** | **String** | Name of building of home address | [optional] |
| **unit_number** | **String** | Flat/Unit/Apartment number of home address | [optional] |
| **street_name** | **String** | Street name of primary residence | [optional] |
| **street_type** | **String** | Street type of primary residence (e.g. St, Rd etc) | [optional] |
| **city** | **String** | City of home address | [optional] |
| **suburb** | **String** | Suburb / Subdivision / Municipality of home address | [optional] |
| **county** | **String** | County / District of home address | [optional] |
| **state_province_code** | **String** | State of primary residence. US sources expect 2 characters. Australian sources expect 2 or 3 characters. | [optional] |
| **country** | **String** | Country of physical address (ISO 3166-1 alpha-2) | [optional] |
| **postal_code** | **String** | ZIP Code or Postal Code of home address | [optional] |
| **po_box** | **String** | Post Office Box | [optional] |
| **additional_fields** | [**LocationAdditionalFields**](LocationAdditionalFields.md) |  | [optional] |

## Example

```ruby
require 'trulioo_sdk'

instance = Trulioo::Location.new(
  building_number: null,
  building_name: null,
  unit_number: null,
  street_name: null,
  street_type: null,
  city: null,
  suburb: null,
  county: null,
  state_province_code: null,
  country: null,
  postal_code: null,
  po_box: null,
  additional_fields: null
)
```

