# Trulioo::VerifyRequest

## Properties

| Name | Type | Description | Notes |
| ---- | ---- | ----------- | ----- |
| **accept_trulioo_terms_and_conditions** | **Boolean** | Indicate that Trulioo terms and conditions are accepted | [optional] |
| **demo** | **Boolean** | This field is not used anymore.  If provided it must match the setting on your account or you will get an error. | [optional] |
| **call_back_url** | **String** |  | [optional] |
| **timeout** | **Integer** |  | [optional] |
| **cleansed_address** | **Boolean** | Set to true if you want to receive address cleanse information,  This will only change the response if you have address cleansing enabled for the country you are querying for. | [optional] |
| **configuration_name** | **String** | Indicate the configuration used for the verification. Currently only  &#39;Identity Verification&#39; is supported. | [optional] |
| **consent_for_data_sources** | **Array&lt;String&gt;** | Some datasources required your customer provide consent to access them.  Set that the customer has provided consent for each  datasource that requires one.  If consent is not provided the datasource will not be queried. | [optional] |
| **country_code** | **String** | The country code for which the verification needs to be performed. |  |
| **customer_reference_id** | **String** | Customer Reference Id | [optional] |
| **data_fields** | [**DataFields**](DataFields.md) |  |  |
| **verbose_mode** | **Boolean** | Verbose Mode Output Flag. | [optional] |

## Example

```ruby
require 'trulioo_sdk'

instance = Trulioo::VerifyRequest.new(
  accept_trulioo_terms_and_conditions: null,
  demo: null,
  call_back_url: null,
  timeout: null,
  cleansed_address: null,
  configuration_name: null,
  consent_for_data_sources: null,
  country_code: null,
  customer_reference_id: null,
  data_fields: null,
  verbose_mode: null
)
```

